#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=metakernel
export PYBUILD_VERBOSE=1
# Skip tests in test_replwrap.py, causing autopkgtest regression, while regression not reproducable in porterbox and local system.
export PYBUILD_TEST_ARGS=-o cache_dir={home_dir}/.pytest_cache $${{PYBUILD_AUTOPKGTEST:+/usr/lib/python3/dist-packages/metakernel}} \
	-k 'not test_existing_spawn and not test_multiline and not test_bracketed_paste and not test_ls_path_complete'
export PYBUILD_BEFORE_TEST=touch {home_dir}/.bashrc && mkdir {home_dir}/.pytest_cache
export PYBUILD_AFTER_TEST=rm -rf {home_dir}/.pytest_cache

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	PYTHONPATH=. python3 docs/generate_help.py
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
	# replace static files copied from python3-sphinx-bootstrap-theme with symlinks
	find build/html/_static/ -type f -print0 | xargs -0 -L 1 debian/test_and_link.sh
endif

override_dh_installdocs:
	dh_installdocs --package=python3-metakernel
	dh_installdocs --package=python-metakernel-doc --doc-main-package=python3-metakernel

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
